﻿using System;
using System.Windows;
using Infragistics.Documents.Excel;

namespace SpreadsheetDropdownIssueSample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void MainWindow_OnInitialized(object sender, EventArgs e)
		{
			Spreadsheet.Workbook = Workbook.Load("SampleSheet.xlsx");

			Spreadsheet.ActiveWorksheet.FilterSettings.SetRegion("Variables!A1:D105", CellReferenceMode.A1);
			Spreadsheet.ActiveWorksheet.SortSettings.SetRegion("Variables!A2:D105", CellReferenceMode.A1);
		}
	}
}
